Bug 130841 - NetworkManager applet locks up the panel
NetworkManager applet locks up the panel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Mike McLean
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-24 21:53 EDT by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 11:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2004-08-24 21:53:21 EDT
Not really sure how to reproduce, but I had NetworkManager in an
uber-hosed state where the applet seemed to lock up when launching,
which locked up the panel. I wasn't doing anything too strange; I had
just booted up, and I'd done an "ifup eth1" not thinking that NM
probably had already done it for me. I think maybe it started when I
chose the network essid I was already signed on to from the NM applet
menu? I don't know. Anyhow, perhaps audit NM applet for any blocking.
Don't call send_with_reply_and_block() for example.
Comment 1 Bryan W Clark 2004-08-26 01:54:23 EDT
Dude, this was totally fixed in CVS like 3 hours ago.  Perhaps when we
get another touch of our touch and go stabilization Dan will put out a
new rpm so we can get this tested.
Comment 2 Bryan W Clark 2004-09-14 02:59:57 EDT
Assuming this is actually fixed in the latest rawhide release, however
putting to NEEDINFO to give mr. pennington some time to test out. :-)

Note You need to log in before you can comment on or make changes to this bug.